#ifndef _TSPDEFINES_H
#define _TSPDEFINES_H

// Meister (tspMeister.cpp)
#define TSP_ERGEBNISSE_DATEI "tspErgebnisse.txt"
#define TSP_BESTE_ROUTE_DATEI "tspBesteRoute.txt"
#define TSP_ANFANGS_ROUTE_DATEI "tspAnfangsRoute.txt"
#define TSP_ANZAHL_DURCHLAUFE 100
#define TSP_ANZAHL_RECHENKNECHTE 3

// Rechenknecht (tspRechenknecht.cpp)
// Gesamtrouten Anzahl
#define TSP_POPULATIONSGROESSE 5000
// Berechnungsdurchlaeufe bis Rueckmeldung
#define TSP_ANZAHL_ZYKLEN 10
// Anzahl der mit eintreffenden Individuen zu
// ersetzenden Routen 
#define TSP_ANZAHL_ERSETZEN (int)(TSP_POPULATIONSGROESSE * 0.1)


// Individuum (tspIndividuum.h, tspIndividuum.cpp)
#define TSP_ANZAHL_LAEDEN 100
#define TSP_MUTATION_STRECKEN_LAENGE (int)(TSP_ANZAHL_LAEDEN * 0.25)
#define TSP_MUTATIONSRATE 0.3
#define TSP_MUTATIONSSCHRITTWEITE 1


#endif // _TSPDEFINES_H

