// CPPvm bekannt machen
#include "cppvm.h"
// Defines/Makros
#include "ctdefines.h"

int
main()
{
  // Den eigenen Prozess in die "Parallel 
  // Virtual Machine" (PVM) einklinken
  cppvmConnection pvmConn;

  // Datenobjekt
  cppvmString post = "Die neue c't.";

  // nicht-blockierendes senden
  // an den Elter-Proze
  cppvmSendStream sendStrm(pvmConn, CPPvmSNBparent);

  // Die Sache erst mal ruhig angehen lassen...
  CT_SLEEP(1);
  // Eine Lieferung fuer Frau Mueller
  sendStrm << post;

  // Dum di dum di dum...
  CT_SLEEP(1);
  // Eine Lieferung fuer Herrn Maier
  sendStrm << post;
  
  // Nur nichts ueberstuerzen...
  CT_SLEEP(1);
  // Eine Lieferung fuer Herrn Schmidt
  sendStrm << post;

  // Nun aber schnell..
  // ... und schoen warten auf Herrn Zumwinkel
  // (blockierendes Senden)
  sendStrm.set(pvmConn, CPPvmSBparent);
  post = "Einen schoenen Tag, Herr Dr. Zumwinkel. Hier Ihre neue c't, Herr Dr. Zumwinkel.";
  sendStrm << post;

  return 0;
}
