// CPPvm bekannt machen
#include "cppvm.h"

int
main()
{
  int zahl;
  
  // Eigenen Proze in die "Parallel Virtual Machine" 
  // auf nehmen und "spieler" starten
  cppvmSpawnConnection child("spieler");

  // Nachrichtenkanal (blockierendes Empfangen)
  // zu Spieler
  cppvmReceiveStream recStrm(child, CPPvmRBchild);

  // Nun der Sportlergruss
  cout << "Trainer: Gib mir fuenf!" << endl;

  // Lesen der Daten vom Spieler
  recStrm >> zahl;

  cout << "Spieler: " << zahl << endl;

  // Beenden aller Prozesse in der 
  // "Parallel Virtual Machine"
  child.halt();

  return 0;
}

